from datetime import datetime

from mongoengine import *


class ApiKey(EmbeddedDocument):
    secret = StringField()
    key = StringField()
    rights = ListField(StringField())
    create_date = DateTimeField(default=datetime.utcnow)
    creator = ReferenceField("User")


class Descriptions(EmbeddedDocument):
    text = StringField()
    user = ReferenceField("User")
    date = DateTimeField()
