from mongoengine import *

from models.Group import Group


class Directory(Document):
    path = StringField()
    can_see_user_group = ReferenceField(Group)
    is_system = BooleanField(default=False)
    deleted = BooleanField(default=False)


class File(Document):
    path = ReferenceField(Directory)
    file = FileField()
    description = StringField()
    deleted = BooleanField(default=False)
