from mongoengine import *

from models.Union import Union


class Group(Document):
    union = ReferenceField(Union)
    name = StringField()
    rights = ListField(StringField())
    deleted = BooleanField(default=False)
    def __unicode__(self):
        return "{} {}".format(self.union.name,self.name)


class PaymentGroup(Document):
    union = ReferenceField(Union)
    name = StringField()
    deleted = BooleanField(default=False)
    discount_percent = IntField()

    def __unicode__(self):
        return "{} {}".format(self.union.name, self.name)